include:
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'

image: busybox:latest

stages:
    - build
    - test
    - deploy

build1:
  stage: build
  script:
    - echo "Do your build here"


test1:
  stage: test
  script:
    - exit 1
  rules:
    - if: '$CI_MERGE_REQUEST_EVENT_TYPE == "merge_train"' 

test2:
  stage: test
  script:
    - echo "feature C"
  rules:
    - if: '$CI_MERGE_REQUEST_EVENT_TYPE == "detached"'

deploy1:
  stage: deploy
  script:
    - echo "Do your deploy here"

